summaryrefslogtreecommitdiffstats
path: root/system/tilda/tilda.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/tilda/tilda.SlackBuild')
-rw-r--r--system/tilda/tilda.SlackBuild26
1 files changed, 19 insertions, 7 deletions
diff --git a/system/tilda/tilda.SlackBuild b/system/tilda/tilda.SlackBuild
index f93c356ed7..ba0c12e7c5 100644
--- a/system/tilda/tilda.SlackBuild
+++ b/system/tilda/tilda.SlackBuild
@@ -1,10 +1,11 @@
#!/bin/sh
#
-# Slackware build script for tilda
-
+# Slackware build script for tilda.
+#
+# Copyright 2017 Edinaldo P. Silva, Rio de Janeiro, Brazil.
# Ryan P.C. McQuen | Everett, WA | ryanpcmcquen@member.fsf.org
-
# Copyright 2009 Erik W. Hanson, Minneapolis, MN, USA
+#
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,12 +27,12 @@
PRGNAM=tilda
VERSION=${VERSION:-1.3.3}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -44,8 +45,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -69,15 +70,26 @@ find -L . \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
./autogen.sh \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var
make
make install-strip DESTDIR=$PKG
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/man/man1
+cp -a $CWD/tilda.1 $PKG/usr/man/man1
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING ChangeLog *.md $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild